Close a set of cURL handles

- « curl_multi_add_handle

- curl_multi_errno »

- PHP Manual
- cURL Functions
- Close a set of cURL handles

# curl_multi_close

(PHP 5, PHP 7, PHP 8)

curl_multi_close — Close a set of cURL handles

### Description

curl_multi_close(CurlMultiHandle `$multi_handle`): void

> Note:

> This function has no effect. Prior to PHP 8.0.0, this function was used to close the resource.

Closes a set of cURL handles.

### Parameters

`multi_handle`

  A cURL multi handle returned by curl_multi_init().

### Return Values

No value is returned.

### Changelog

Version | Description
--- | ---
8.0.0 | `multi_handle` expects a CurlMultiHandle instance now; previously, a resource was expected.

### Examples

Example #1 curl_multi_close() example

This example will create two cURL handles, add them to a multi handle, and process them asynchronously.

    <?php// create both cURL resources$ch1 = curl_init();$ch2 = curl_init();// set URL and other appropriate optionscurl_setopt($ch1, CURLOPT_URL, "http://www.example.com/");curl_setopt($ch1, CURLOPT_HEADER, 0);curl_setopt($ch2, CURLOPT_URL, "http://www.php.net/");curl_setopt($ch2, CURLOPT_HEADER, 0);//create the multiple cURL handle$mh = curl_multi_init();//add the two handlescurl_multi_add_handle($mh,$ch1);curl_multi_add_handle($mh,$ch2);//execute the multi handledo {    $status = curl_multi_exec($mh, $active);    if ($active) {        curl_multi_select($mh);    }} while ($active && $status == CURLM_OK);//close the handlescurl_multi_remove_handle($mh, $ch1);curl_close($ch1);curl_multi_remove_handle($mh, $ch2);curl_close($ch2);curl_multi_close($mh);?>

### See Also

- curl_multi_init() - Returns a new cURL multi handle
- curl_close() - Close a cURL session